[@rxap/environment](../wiki/globals) / EnvironmentComponent

# Class: EnvironmentComponent

Defined in: [environment/environment.component.ts:22](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/environment/src/lib/environment/environment.component.ts#L22)

## Constructors

### new EnvironmentComponent()

> **new EnvironmentComponent**(): [`EnvironmentComponent`](../wiki/Class.EnvironmentComponent)

#### Returns

[`EnvironmentComponent`](../wiki/Class.EnvironmentComponent)

## Properties

### environment

> `readonly` **environment**: [`Environment`](../wiki/Interface.Environment)

Defined in: [environment/environment.component.ts:24](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/environment/src/lib/environment/environment.component.ts#L24)
